Class List Method List File List

# Module: Yast::IscsiClientComplexInclude

Defined in:
  ../../src/include/iscsi-client/complex.rb

## Instance Method Summary (collapse)

- - (Object) initialize_iscsi_client_complex(include_target)
- - (Object) Modified

  Return a modification status.

- - (Object) PollAbort
- - (Object) ReadDialog

  Read settings dialog.

- - (Object) ReallyAbort
- - (Object) WriteDialog

  Write settings dialog.

## Instance Method Details

### - (`Object`) initialize_iscsi_client_complex(include_target)

    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    # File '../../src/include/iscsi-client/complex.rb', line 32

    def initialize_iscsi_client_complex(include_target)
      Yast.import "UI"

      textdomain "iscsi-client"

      Yast.import "Label"
      Yast.import "Popup"
      Yast.import "Wizard"
      Yast.import "IscsiClient"
      Yast.import "IscsiClientLib"

      Yast.include include_target, "iscsi-client/helps.rb"
    end

### - (`Object`) Modified

Return a modification status

Returns:

- true if data was modified

    48
    49
    50
    # File '../../src/include/iscsi-client/complex.rb', line 48

    def Modified
      IscsiClient.Modified
    end

### - (`Object`) PollAbort

    56
    57
    58
    # File '../../src/include/iscsi-client/complex.rb', line 56

    def PollAbort
      UI.PollInput == :abort
    end

### - (`Object`) ReadDialog

Read settings dialog

Returns:

- `abort if aborted and`next otherwise

    62
    63
    64
    65
    66
    67
    # File '../../src/include/iscsi-client/complex.rb', line 62

    def ReadDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "read", ""))
      # IscsiClient::AbortFunction = PollAbort;
      ret = IscsiClient.Read
      ret ? :next : :abort
    end

### - (`Object`) ReallyAbort

    52
    53
    54
    # File '../../src/include/iscsi-client/complex.rb', line 52

    def ReallyAbort
      !IscsiClient.Modified || Popup.ReallyAbort(true)
    end

### - (`Object`) WriteDialog

Write settings dialog

Returns:

- `abort if aborted and`next otherwise

    71
    72
    73
    74
    75
    76
    # File '../../src/include/iscsi-client/complex.rb', line 71

    def WriteDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "write", ""))
      # IscsiClient::AbortFunction = PollAbort;
      ret = IscsiClient.Write
      ret ? :next : :abort
    end